Bug 988351 - [virtio-win]win2012 failed to resume after doing s4 on rhel7 host
[virtio-win]win2012 failed to resume after doing s4 on rhel7 host
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: 7.0
Assigned To: Yan Vugenfirer
FuXiangChun
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-25 07:37 EDT by guo jiang
Modified: 2017-11-16 04:54 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
failed to resume after doing s4 (3.01 KB, image/png)
2013-07-25 07:38 EDT, guo jiang
no flags Details

  None (edit)
Description guo jiang 2013-07-25 07:37:39 EDT
Description of problem:
win2012-64 guest with qcow2v3 format image, failed to resume after doing s4, guest stuck in boot screen without BSOD.(screenshot will be uploaded)   

Version-Release number of selected component (if applicable):
   Red Hat Enterprise Linux Server release 7.0 Beta(Maipo)
   kernel-3.10.0-2.el7.x86_64 
   qemu-kvm-tools-1.5.1-2.el7.x86_64
   virtio-win-prewhql-0.1-65
   spice-server-0.12.3-1.el7.x86_64
   seabios-1.7.2-2.el7.x86_64
   vgabios-0.6c-9.el7.noarch

How reproducible:
100%

Steps to Reproduce:
1.Boot guest with CLI:
/usr/libexec/qemu-kvm -M pc -m 4G -smp 4,cores=4 -cpu SandyBridge -usb -device usb-tablet -netdev tap,sndbuf=0,id=hostnet2,vhost=on,script=/etc/qemu-ifup,downscript=no -device virtio-net-pci,netdev=hostnet2,mac=00:32:15:12:56:a2,bus=pci.0,addr=0x6,id=virtio-net-pci0 -uuid a2c49844-967e-4e28-be8a-96e0153ff080 -chardev socket,id=aaaa,path=/tmp/monitor-win2012-netkvm,server,nowait -mon chardev=aaaa,mode=readline -name win2012-netkvm -vnc :2 -vga cirrus -enable-kvm -rtc base=localtime,clock=host,driftfix=slew -drive file=win2012.qcow2v3,if=none,id=drive-ide0-0-0,format=qcow2,rerror=stop,werror=stop,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0,bootindex=1 -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -global kvm-pit.lost_tick_policy=discard -monitor stdio

2.Do s4

3.After qemu quit, reboot guest with the same CLI.

Actual results:
Guest failed to resume.

Expected results:
Guest could resume successfully.

Additional info:
 1.win2012 on rhel6 host is ok.
 2.win2k8 on rhel7 host is ok.
Comment 1 guo jiang 2013-07-25 07:38:37 EDT
Created attachment 778234 [details]
failed to resume after doing s4
Comment 6 lijin 2013-11-27 03:05:45 EST
Even without any virtio-win devices,win2012 still hit this issue with -m 4G;
If I change -m to 2G,win2012 can s4/s3 and resume correctly.

package info:
    kernel-3.10.0-53.el7.x86_64
    qemu-kvm-rhev-1.5.3-19.el7.x86_64
    seabios-1.7.2.2-4.el7.x86_64

following is the qemu-kvm command:
/usr/libexec/qemu-kvm -M pc -m 4G -smp 2,cores=2 -cpu Penryn -usb -device usb-tablet -drive file=win2012-balloon.qcow3,format=qcow2,if=none,id=drive0,boot=on,cache=none,werror=stop,rerror=stop -device ide-drive,drive=drive0,id=ide-blk-pci0,bootindex=1 -boot c -rtc base=localtime,clock=host,driftfix=slew -no-kvm-pit-reinjection -chardev socket,id=chardev1,path=/tmp/w2012-nic,server,nowait -mon chardev=chardev1,mode=readline -name win2012-balloon -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -spice disable-ticketing,port=5903 -vga qxl -global qxl-vga.revision=3 -monitor stdio -cdrom /usr/share/virtio-win/virtio-win.iso -netdev tap,id=hostnet1,script=/etc/qemu-ifup,downscript=no -device e1000,netdev=hostnet1,id=net1,mac=00:52:81:10:22:11
Comment 7 Ronen Hod 2013-11-27 06:38:04 EST
lijin,

(In reply to lijin from comment #6)
> Even without any virtio-win devices,win2012 still hit this issue with -m 4G;
> If I change -m to 2G,win2012 can s4/s3 and resume correctly.

Thanks for the analysis.
Can you also verify that it is not related to QCOW2v3
Comment 8 lijin 2013-11-27 18:31:31 EST
(In reply to Ronen Hod from comment #7)
> lijin,
> 
> (In reply to lijin from comment #6)
> > Even without any virtio-win devices,win2012 still hit this issue with -m 4G;
> > If I change -m to 2G,win2012 can s4/s3 and resume correctly.
> 
> Thanks for the analysis.
> Can you also verify that it is not related to QCOW2v3

retry with qcow2v3,qcow2 and raw images,all hit this issue.
Comment 12 ybendito 2016-11-21 06:59:46 EST
Although seems similar to https://bugzilla.redhat.com/show_bug.cgi?id=835872 BUT
happens also with https://support.microsoft.com/en-us/kb/2822241

Also happens with cache=none, usually just stops responding upon resume from hibernation, but sometimes BSOD happens (creates only minidump, although kernel dump configured) with access to invalid address during mem copy operation.

Win 3G memory works OK.

Note You need to log in before you can comment on or make changes to this bug.